Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.diff/1 1.15.22 42
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.diff
Class MergeVisualizer

    java.lang.Object
      org.netbeans.spi.diff.MergeVisualizer

    public abstract class MergeVisualizer

extends Object

This class represents a merge visualizer. It's used as a visual conflicts resolution tool for the process of merging of file conflicts.

The registered Merge Visualizers can be obtained via `Lookup` (e.g. you can get the default merge provider by `Lookup.getDefault().lookup(MergeVisualizer.class)`)

Constructor Summary
`MergeVisualizer()`

Method Summary
`abstract Component` | `createView(Difference[] diffs, StreamSource source1, StreamSource source2, StreamSource result)` Show the visual representation of the merging process of two sources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeVisualizer

    public MergeVisualizer()

Method Detail

### createView

    public abstract Component createView(Difference[] diffs,
                                         StreamSource source1,
                                         StreamSource source2,
                                         StreamSource result)
                                  throws IOException

  Show the visual representation of the merging process of two sources. The result of the merging process can be saved into a Writer even before all conflicts are actually resolved.

  Parameters:
    `diffs` - The list of conflicts.
    `source1` - the source of the first file
    `source2` - the source of the second file
    `result` - the information about the result source
  Returns:
    The Component representing the diff visual representation or null, when the representation is outside the IDE.
  Throws:
    `IOException` - when the reading from input streams fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.diff/1 1.15.22 42
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.